# Class goog.testing.TestCase.protectedDate_

code »

Save a reference to `window.Date`, so any code that overrides the default behavior doesn't affect our runner.

## Constructor

goog.testing.TestCase.protectedDate_ ( )
Show:Public Protected Private

## Instance Methods

code »getDate ( ) ⇒ `number`
code »getDay ( ) ⇒ `number`
code »getFullYear ( ) ⇒ `number`
code »getHours ( ) ⇒ `number`
code »getMilliseconds ( ) ⇒ `number`
code »getMinutes ( ) ⇒ `number`
code »getMonth ( ) ⇒ `number`
code »getSeconds ( ) ⇒ `number`
code »getTime ( ) ⇒ `number`
code »getTimezoneOffset ( ) ⇒ `number`
code »getUTCDate ( ) ⇒ `number`
code »getUTCDay ( ) ⇒ `number`
code »getUTCFullYear ( ) ⇒ `number`
code »getUTCHours ( ) ⇒ `number`
code »getUTCMilliseconds ( ) ⇒ `number`
code »getUTCMinutes ( ) ⇒ `number`
code »getUTCMonth ( ) ⇒ `number`
code »getUTCSeconds ( ) ⇒ `number`
code »getYear ( ) ⇒ `number`
code »setDate ( dayValue )

Sets the day of the month for a specified date according to local time.

Parameters

dayValue

code »setFullYear ( yearValue, opt_monthValue, opt_dayValue )

Sets the full year for a specified date according to local time.

Parameters

yearValue
opt_monthValue
opt_dayValue

code »setHours ( hoursValue, opt_minutesValue, opt_secondsValue, opt_msValue )

Sets the hours for a specified date according to local time.

Parameters

hoursValue
opt_minutesValue
opt_secondsValue
opt_msValue

code »setMilliseconds ( millisecondsValue )

Sets the milliseconds for a specified date according to local time.

Parameters

millisecondsValue

code »setMinutes ( minutesValue, opt_secondsValue, opt_msValue )

Sets the minutes for a specified date according to local time.

Parameters

minutesValue
opt_secondsValue
opt_msValue

code »setMonth ( monthValue, opt_dayValue )

Set the month for a specified date according to local time.

Parameters

monthValue
opt_dayValue

code »setSeconds ( secondsValue, opt_msValue )

Sets the seconds for a specified date according to local time.

Parameters

secondsValue
opt_msValue

code »setTime ( timeValue )

Sets the Date object to the time represented by a number of milliseconds since January 1, 1970, 00:00:00 UTC.

Parameters

timeValue

code »setUTCDate ( dayValue )

Sets the day of the month for a specified date according to universal time.

Parameters

dayValue

code »setUTCFullYear ( yearValue, opt_monthValue, opt_dayValue )

Sets the full year for a specified date according to universal time.

Parameters

yearValue
opt_monthValue
opt_dayValue

code »setUTCHours ( hoursValue, opt_minutesValue, opt_secondsValue, opt_msValue )

Sets the hour for a specified date according to universal time.

Parameters

hoursValue
opt_minutesValue
opt_secondsValue
opt_msValue

code »setUTCMilliseconds ( millisecondsValue )

Sets the milliseconds for a specified date according to universal time.

Parameters

millisecondsValue

code »setUTCMinutes ( minutesValue, opt_secondsValue, opt_msValue )

Sets the minutes for a specified date according to universal time.

Parameters

minutesValue
opt_secondsValue
opt_msValue

code »setUTCMonth ( monthValue, opt_dayValue )

Sets the month for a specified date according to universal time.

Parameters

monthValue
opt_dayValue

code »setUTCSeconds ( secondsValue, opt_msValue )

Sets the seconds for a specified date according to universal time.

Parameters

secondsValue
opt_msValue

code »setYear ( yearValue )

Sets the year for a specified date according to local time.

Parameters

yearValue

code »toDateString ( ) ⇒ `string`
code »toGMTString ( ) ⇒ `string`
code »toISOString ( ) ⇒ `string`
code »toJSON ( opt_ignoredKey ) ⇒ `string`

Parameters

opt_ignoredKey

code »toLocaleDateString ( opt_locales, opt_options ) ⇒ `string`

Parameters

opt_locales
opt_options

code »toLocaleFormat ( formatString ) ⇒ `string`

Parameters

formatString

code »toLocaleString ( ) ⇒ `string`
code »toLocaleTimeString ( opt_locales, opt_options ) ⇒ `string`

Parameters

opt_locales
opt_options

code »toSource ( ) ⇒ `string`
code »toString ( ) ⇒ `string`
code »toTimeString ( ) ⇒ `string`
code »toUTCString ( ) ⇒ `string`
code »valueOf ( ) ⇒ `number`